<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formInventarioList">
               
                <h:outputText escape="false" value="#{bundle.ListInventariosEmpty}" rendered="#{inventariosController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{inventariosController.items.rowCount > 0}">
                    <p:dataTable id="tablaInventario" sortMode="multiple"  value="#{inventariosController.items}" var="item" 
                                 widgetVar="tablaInventario" emptyMessage="No hay Inventario disponibles" paginator="true" rows="10"
                                 rowKey="#{item.inventarioId}" >

                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListInventariosTitle_inventarioId}"/>
                            </f:facet>
                            <h:outputText value="#{item.inventarioId}"/>
                        </p:column>
                        <p:column filterBy="#{item.inventarioNombre}"   
                                          headerText="Nombre"   filterMatchMode="contains" sortBy="#{item.inventarioNombre}"> 
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListInventariosTitle_inventarioNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.inventarioNombre}"/>
                        </p:column>
                        <p:column filterBy="#{item.inventarioCod}"   
                                          headerText="Nombre"   filterMatchMode="contains" sortBy="#{item.inventarioCod}"> 
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListInventariosTitle_inventarioCod}"/>
                            </f:facet>
                            <h:outputText value="#{item.inventarioCod}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                             <p:commandButton action="#{inventariosController.prepareEdit}" value="#{bundle.ListInventariosEditLink}" 
                                oncomplete="PF('dlgInventario').show();" process="@this" update=":tabViewAdmin:inventariosPanel:dialogInventario"/>
                            <h:outputText value=" "/><br/><br/>
                            <p:commandButton action="#{inventariosController.destroy}" value="#{bundle.ListInventariosDestroyLink}"
                                           process="@this" update=":tabViewAdmin:inventariosPanel:formInventarioList:tablaInventario">
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog>  

                            <h:commandLink />
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogInventario" position="center" header="Inventario #{inventariosController.selected.inventarioNombre}" modal="true"
                      widgetVar="dlgInventario"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/inventarios/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
